## org.gnu.gtk
Class TextView.VerticalLineRange

    java.lang.Object
      org.gnu.gtk.TextView.VerticalLineRange

Enclosing class:
  TextView

public static final class TextView.VerticalLineRange
extends java.lang.Object

Class to handle returns from `TextView.getLineYRange(org.gnu.gtk.TextIter)`. Contains the starting y-coordinates of a line and the height of the line.

Constructor Summary
`TextView.VerticalLineRange(int y, int height)`

Method Summary
`int` `getHeight()`
`int` `getY()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextView.VerticalLineRange

    public TextView.VerticalLineRange(int y,
                                      int height)

Method Detail

### getY

    public final int getY()

  Returns:
    The y-coordinate of the line in buffer coordinates

### getHeight

    public final int getHeight()

  Returns:
    The height of the line